# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Namespace JXG.GeonextParser

↳ JXG.GeonextParser

Defined in: GeonextParser.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.GeonextParser Parser helper routines.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | JXG.GeonextParser.findDependencies(me, term, board) Finds dependencies in a given term and resolves them by adding the dependent object to the found objects child elements.
<static> | JXG.GeonextParser.geonext2JS(term, board) Converts the given algebraic expression in GEONExT syntax into an equivalent expression in JavaScript syntax.
<static> | JXG.GeonextParser.gxt2jc(term, board) Converts the given algebraic expression in GEONExT syntax into an equivalent expression in JavaScript syntax.
<static> | JXG.GeonextParser.replaceIdByObj(term) Replaces element ids in terms by element this.board.objects['id'].
<static> | JXG.GeonextParser.replaceIf(te) Converts expression of the form If(a,b,c) into (a)?(b):(c)/i>.
<static> | JXG.GeonextParser.replaceNameById(term, board) Replace an element's name in terms by an element's id.
<static> | JXG.GeonextParser.replaceNameById2(term, board) Replace an element's name in terms by an element's id.
<static> | JXG.GeonextParser.replacePow(te) Converts expression of the form leftop^rightop into Math.pow(leftop,rightop).
<static> | JXG.GeonextParser.replaceSub(the) Replace _{} by <sub>
<static> | JXG.GeonextParser.replaceSup(the) Replace ^{} by <sup>

Namespace Detail
JXG.GeonextParser
Parser helper routines. The methods in here are for parsing expressions in Geonext Syntax.
Method Detail
<static> JXG.GeonextParser.findDependencies(me, term, board)
Finds dependencies in a given term and resolves them by adding the dependent object to the found objects child elements.

Parameters:
{JXG.GeometryElement} me
  Object depending on objects in given term.
{String} term
  String containing dependencies for the given object.
{JXG.Board} board Optional, Default: me.board
  Reference to a board

<static> {String} JXG.GeonextParser.geonext2JS(term, board)
Converts the given algebraic expression in GEONExT syntax into an equivalent expression in JavaScript syntax.

Parameters:
{String} term
  Expression in GEONExT syntax
board

Returns:
  Given expression translated to JavaScript.

<static> {String} JXG.GeonextParser.gxt2jc(term, board)
Converts the given algebraic expression in GEONExT syntax into an equivalent expression in JavaScript syntax.

Parameters:
{String} term
  Expression in GEONExT syntax
board

Returns:
  Given expression translated to JavaScript.

<static> {string} JXG.GeonextParser.replaceIdByObj(term)
Replaces element ids in terms by element this.board.objects['id'].

Parameters:
{string} term
  A GEONExT function string with JSXGraph ids in it.

Returns:
  The input string with element ids replaced by this.board.objects["id"].

<static> {String} JXG.GeonextParser.replaceIf(te)
Converts expression of the form If(a,b,c) into (a)?(b):(c)/i>.

Parameters:
{String} te
  Expression of the form If(a,b,c)

Returns:
  Converted expression.

<static> {string} JXG.GeonextParser.replaceNameById(term, board)
Replace an element's name in terms by an element's id.

Parameters:
{string} term
  Term containing names of elements.
{JXG.Board} board
  Reference to the board the elements are on.

Returns:
  The same string with names replaced by ids.

<static> {string} JXG.GeonextParser.replaceNameById2(term, board)
Replace an element's name in terms by an element's id.

Parameters:
{string} term
  Term containing names of elements.
{JXG.Board} board
  Reference to the board the elements are on.

Returns:
  The same string with names replaced by ids.

<static> {String} JXG.GeonextParser.replacePow(te)
Converts expression of the form leftop^rightop into Math.pow(leftop,rightop).

Parameters:
{String} te
  Expression of the form leftop^rightop

Returns:
  Converted expression.

<static> {String} JXG.GeonextParser.replaceSub(the)
Replace _{} by <sub>

Parameters:
{String} the
  String containing _{}.

Returns:
  Given string with _{} replaced by <sub>.

<static> {String} JXG.GeonextParser.replaceSup(the)
Replace ^{} by <sup>

Parameters:
{String} the
  String containing ^{}.

Returns:
  Given string with ^{} replaced by <sup>.

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:07 GMT+0200 (MESZ)